Skip to navigation

Get Task

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired
session_idstringRequired
task_idstringRequired

Response

Successful Response
finalTextstring or null
namestring
parent_task_idstring or null
runIdstring
statusstring
task_idstring
backgroundbooleanOptionalDefaults to false
deliveryStatusstring or nullOptional
latestSteerobject or nullOptional
pauseReasonstring or nullOptional
revisioninteger or nullOptional
settlementobject or nullOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error